Generate Release Notes Preview

Returns auto-generated markdown release notes for the commit range between
previous_tag (or the latest prior release) and tag, without creating
a release. Use to preview the body before calling Create.

Request

POST

https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/releases/generate-notes

Path parameters

Name

Description

org_slug

Type: string

Example: ``

repo_slug

Type: string

Example: ``

Body

application/json
{
  "tag": "example",
  "target_branch": "example",
  "previous_tag": "example",
  "path_filters": [
    "example"
  ]
}

Name

Description

path_filters

Type: string[]

Restricts generated notes to PRs that touched any of the given paths.

Example
[
  "example"
]

previous_tag

Type: string

The name of the previous tag to use as the starting point for the release notes.
Use to manually specify the range of changes considered as part of this release.
If empty, the latest prior release is used.

Example: example

tag

Type: string

Target tag of the release. May or may not exist yet.

Example: example

target_branch

Type: string

Branch, ref or SHA used to resolve tag when it doesn't exist yet.

Example: example

Responses

200 OK

A successful response.

Body

application/json
{
  "title": "example",
  "release_notes": "example"
}

Name

Description

release_notes

Type: string

Rendered markdown body.

Example: example

title

Type: string

Suggested release title.

Example: example

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

Предыдущая
Следующая